Index: vm/vnode_pager.c
===================================================================
RCS file: /home/ncvs/src/sys/vm/vnode_pager.c,v
retrieving revision 1.155
diff -u -r1.155 vnode_pager.c
--- vm/vnode_pager.c	25 Aug 2002 00:22:31 -0000	1.155
+++ vm/vnode_pager.c	14 Sep 2002 02:57:24 -0000
@@ -673,7 +673,7 @@
 		 * blocksize, but it can handle large reads itself.
 		 */
 	} else if ((PAGE_SIZE / bsize) > 1 &&
-	    (vp->v_mount->mnt_stat.f_type != nfs_mount_type)) {
+	    (vp->v_mount->mnt_vfc->vfc_flags & VFCF_NETWORK) != 0) {
 		vm_page_lock_queues();
 		for (i = 0; i < count; i++)
 			if (i != reqpage)
Index: sys/mount.h
===================================================================
RCS file: /home/ncvs/src/sys/sys/mount.h,v
retrieving revision 1.140
diff -u -r1.140 mount.h
--- sys/mount.h	19 Aug 2002 06:52:21 -0000	1.140
+++ sys/mount.h	14 Sep 2002 02:52:19 -0000
@@ -365,7 +365,6 @@
 MALLOC_DECLARE(M_MOUNT);
 #endif
 extern int maxvfsconf;		/* highest defined filesystem type */
-extern int nfs_mount_type;	/* vfc_typenum for nfs, or -1 */
 extern struct vfsconf *vfsconf;	/* head of list of filesystem types */
 
 /*
Index: kern/vfs_subr.c
===================================================================
RCS file: /home/ncvs/src/sys/kern/vfs_subr.c,v
retrieving revision 1.401.65500.1
diff -u -r1.401.65500.1 vfs_subr.c
--- kern/vfs_subr.c	14 Sep 2002 01:48:14 -0000	1.401.65500.1
+++ kern/vfs_subr.c	14 Sep 2002 02:58:29 -0000
@@ -136,12 +136,6 @@
 SYSCTL_INT(_vfs, OID_AUTO, ioopt, CTLFLAG_RW, &vfs_ioopt, 0, "");
 #endif
 
-/*
- * Cache for the mount type id assigned to NFS.  This is used for
- * special checks in nfs/nfs_nqlease.c and vm/vnode_pager.c.
- */
-int	nfs_mount_type = -1;
-
 /* To keep more than one thread at a time from running vfs_getnewfsid */
 static struct mtx mntid_mtx;
 
